> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/integration-mode/rest-api/kyb/company-informations.md).

# Company Informations

<details>

<summary>Search company details knowing the registration number</summary>

<mark style="background-color:green;">GET /search/company</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Query Params:**

* rccmNumber (required) : string (example: CI-ABJ-03-2024-B17-00022)

**Responses:**&#x20;

If the company is found all the details will be return

* **OK:**

  * Code: 200
  * Body

  ```json
  {
    "rccm": "string",
    "formalityNumber": "string",
    "capitalInCash": "string",
    "capital": "string",
    "industrialCapital": "string",
    "capitalInKind": "string",
    "activities": [
      "string"
    ],
    "POBox": "string",
    "applicants": "string",
    "companyName": "string",
    "startDate": "2024-04-24T09:30:41.042Z",
    "owners": [
      {
        "firstName": "string",
        "lastName": "string",
        "dateAndPlaceOfBirth": "string",
        "role": "string",
        "POBox": "string",
        "phoneNumber1": "string",
        "phoneNumber2": "string",
        "emailAddress": "string"
      }
    ],
    "duration": 0,
    "formalityDate": "2024-04-24T09:30:41.043Z",
    "modificationDate": "2024-04-24T09:30:41.043Z",
    "businessName": "string",
    "legalForm": "string",
    "modificationType": "string",
    "tradeName": "string",
    "headquarters": "string",
    "acronym": "string",
    "formalityType": "string",
    "people": "string"
  }
  ```
* &#x20;Code : 401
* Code: 400

</details>

<details>

<summary>Retrieve company's changes history</summary>

<mark style="background-color:green;">GET /search/company-changes</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body: N/A**

**Query Params:**

* rccmNumber (required) : string (example: CI-ABJ-03-2024-B17-00022)

**Responses:**&#x20;

If the company is found all it's changes details will be return

* **OK:**
  * Code: 200
  * Body

```
{
  "rccm": "string",
  "historyList": [
    {
      "formalityDate": "string",
      "formalityType": "string",
      "natureOfModification": "string",
      "capital": "string",
      "headOffice": "string",
      "activities": [
        {
          "activity": "string"
        }
      ]
    }
  ]
}
```

* &#x20;Code : 401
* Code: 400

</details>
